org.richfaces.component.html

## Class HtmlTree

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.ajax4jsf.component.UIDataAdaptor
        - - org.richfaces.component.UITree
          - - org.richfaces.component.html.HtmlTree

- All Implemented Interfaces:
    javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.Draggable, org.richfaces.component.Dropzone, org.richfaces.event.DropSource, org.richfaces.event.TreeListenerEventsProducer

      public class HtmlTree
      extends UITree

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor

      `org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UITree

      `DEFAULT_HIGHLIGHTED_CSS_CLASS, DEFAULT_SELECTED_CSS_CLASS, ENCODE_BEHAVIOR_NODE, ENCODE_BEHAVIOR_NONE, ENCODE_BEHAVIOR_SUBTREE, PRESERVE_MODEL_NONE, PRESERVE_MODEL_REQUEST, PRESERVE_MODEL_STATE, SELECTED_NODE_PARAMETER_NAME, SELECTION_INPUT_ATTRIBUTE, SWITCH_AJAX, SWITCH_CLIENT, SWITCH_SERVER`

    - ### Fields inherited from class org.ajax4jsf.component.UIDataAdaptor

      `COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlTree()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAcceptCursors()`
    `java.lang.Object` | `getAcceptedTypes()`
    `javax.faces.el.MethodBinding` | `getAdviseNodeOpened()`
    `javax.faces.el.MethodBinding` | `getAdviseNodeSelected()`
    `java.lang.String` | `getAjaxChildActivationEncodeBehavior()`
    `java.lang.String` | `getAjaxNodeSelectionEncodeBehavior()`
    `javax.faces.el.MethodBinding` | `getChangeExpandListener()`
    `java.lang.Object` | `getCursorTypeMapping()`
    `java.lang.Object` | `getData()`
    `java.lang.String` | `getDragIndicator()`
    `javax.faces.el.MethodBinding` | `getDragListener()`
    `java.lang.String` | `getDragType()`
    `java.lang.Object` | `getDragValue()`
    `javax.faces.el.MethodBinding` | `getDropListener()`
    `java.lang.Object` | `getDropValue()`
    `java.lang.String` | `getEventsQueue()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFocus()`
    `java.lang.String` | `getGrabbingCursors()`
    `java.lang.String` | `getGrabCursors()`
    `java.lang.String` | `getHighlightedClass()`
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getIconCollapsed()`
    `java.lang.String` | `getIconExpanded()`
    `java.lang.String` | `getIconLeaf()`
    `java.lang.String` | `getNodeFace()`
    `javax.faces.el.MethodBinding` | `getNodeSelectListener()`
    `java.lang.String` | `getOnbeforedomupdate()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOncollapse()`
    `java.lang.String` | `getOncomplete()`
    `java.lang.String` | `getOncontextmenu()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOndragend()`
    `java.lang.String` | `getOndragenter()`
    `java.lang.String` | `getOndragexit()`
    `java.lang.String` | `getOndragstart()`
    `java.lang.String` | `getOndrop()`
    `java.lang.String` | `getOndropend()`
    `java.lang.String` | `getOndropout()`
    `java.lang.String` | `getOndropover()`
    `java.lang.String` | `getOnexpand()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getOnselected()`
    `java.lang.String` | `getPreserveModel()`
    `java.lang.Object` | `getProcess()`
    `java.lang.String` | `getRejectCursors()`
    `int` | `getRequestDelay()`
    `java.lang.Object` | `getReRender()`
    `java.lang.String` | `getSelectedClass()`
    `java.lang.String` | `getSimilarityGroupingId()`
    `java.lang.Object` | `getStateAdvisor()`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getSwitchType()`
    `int` | `getTimeout()`
    `java.lang.Object` | `getTypeMapping()`
    `java.lang.String` | `getVarState()`
    `boolean` | `isAjaxSingle()`
    `boolean` | `isAjaxSubmitSelection()`
    `boolean` | `isBypassUpdates()`
    `boolean` | `isDisableKeyboardNavigation()`
    `boolean` | `isIgnoreDupResponses()`
    `boolean` | `isImmediate()`
    `boolean` | `isLimitToList()`
    `boolean` | `isPreserveDataInRequest()`
    `boolean` | `isRightClickSelection()`
    `boolean` | `isShowConnectingLines()`
    `boolean` | `isToggleOnClick()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAcceptCursors(java.lang.String _acceptCursors)`
    `void` | `setAcceptedTypes(java.lang.Object _acceptedTypes)`
    `void` | `setAdviseNodeOpened(javax.faces.el.MethodBinding _adviseNodeOpened)`
    `void` | `setAdviseNodeSelected(javax.faces.el.MethodBinding _adviseNodeSelected)`
    `void` | `setAjaxChildActivationEncodeBehavior(java.lang.String _ajaxChildActivationEncodeBehavior)`
    `void` | `setAjaxNodeSelectionEncodeBehavior(java.lang.String _ajaxNodeSelectionEncodeBehavior)`
    `void` | `setAjaxSingle(boolean _ajaxSingle)`
    `void` | `setAjaxSubmitSelection(boolean _ajaxSubmitSelection)`
    `void` | `setBypassUpdates(boolean _bypassUpdates)`
    `void` | `setChangeExpandListener(javax.faces.el.MethodBinding _changeExpandListener)`
    `void` | `setCursorTypeMapping(java.lang.Object _cursorTypeMapping)`
    `void` | `setData(java.lang.Object _data)`
    `void` | `setDisableKeyboardNavigation(boolean _disableKeyboardNavigation)`
    `void` | `setDragIndicator(java.lang.String _dragIndicator)`
    `void` | `setDragListener(javax.faces.el.MethodBinding _dragListener)`
    `void` | `setDragType(java.lang.String _dragType)`
    `void` | `setDragValue(java.lang.Object _dragValue)`
    `void` | `setDropListener(javax.faces.el.MethodBinding _dropListener)`
    `void` | `setDropValue(java.lang.Object _dropValue)`
    `void` | `setEventsQueue(java.lang.String _eventsQueue)`
    `void` | `setFocus(java.lang.String _focus)`
    `void` | `setGrabbingCursors(java.lang.String _grabbingCursors)`
    `void` | `setGrabCursors(java.lang.String _grabCursors)`
    `void` | `setHighlightedClass(java.lang.String _highlightedClass)`
    `void` | `setIcon(java.lang.String _icon)`
    `void` | `setIconCollapsed(java.lang.String _iconCollapsed)`
    `void` | `setIconExpanded(java.lang.String _iconExpanded)`
    `void` | `setIconLeaf(java.lang.String _iconLeaf)`
    `void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
    `void` | `setImmediate(boolean _immediate)`
    `void` | `setLimitToList(boolean _limitToList)`
    `void` | `setNodeFace(java.lang.String _nodeFace)`
    `void` | `setNodeSelectListener(javax.faces.el.MethodBinding _nodeSelectListener)`
    `void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOncollapse(java.lang.String _oncollapse)`
    `void` | `setOncomplete(java.lang.String _oncomplete)`
    `void` | `setOncontextmenu(java.lang.String _oncontextmenu)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOndragend(java.lang.String _ondragend)`
    `void` | `setOndragenter(java.lang.String _ondragenter)`
    `void` | `setOndragexit(java.lang.String _ondragexit)`
    `void` | `setOndragstart(java.lang.String _ondragstart)`
    `void` | `setOndrop(java.lang.String _ondrop)`
    `void` | `setOndropend(java.lang.String _ondropend)`
    `void` | `setOndropout(java.lang.String _ondropout)`
    `void` | `setOndropover(java.lang.String _ondropover)`
    `void` | `setOnexpand(java.lang.String _onexpand)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setOnselected(java.lang.String _onselected)`
    `void` | `setPreserveDataInRequest(boolean _preserveDataInRequest)`
    `void` | `setPreserveModel(java.lang.String _preserveModel)`
    `void` | `setProcess(java.lang.Object _process)`
    `void` | `setRejectCursors(java.lang.String _rejectCursors)`
    `void` | `setRequestDelay(int _requestDelay)`
    `void` | `setReRender(java.lang.Object _reRender)`
    `void` | `setRightClickSelection(boolean _rightClickSelection)`
    `void` | `setSelectedClass(java.lang.String _selectedClass)`
    `void` | `setShowConnectingLines(boolean _showConnectingLines)`
    `void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
    `void` | `setStateAdvisor(java.lang.Object _stateAdvisor)`
    `void` | `setStatus(java.lang.String _status)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setSwitchType(java.lang.String _switchType)`
    `void` | `setTimeout(int _timeout)`
    `void` | `setToggleOnClick(boolean _toggleOnClick)`
    `void` | `setTypeMapping(java.lang.Object _typeMapping)`
    `void` | `setVarState(java.lang.String _varState)`

    - ### Methods inherited from class org.richfaces.component.UITree

      `addAjaxKeyEvent, addChangeExpandListener, addDragListener, addDropListener, addNode, addNode, addNode, addNode, addNodeRequestKey, addNodeSelectListener, broadcast, captureOrigValue, captureOrigValue, clearNodeRequestKeysSet, clearTreeNodeState, containsNodeRequestKey, createComponentState, createDataModel, dataChildren, extractKeySegment, fixedChildren, getAjaxNodeKeys, getAllAjaxNodeKeys, getChangeExpandListeners, getDragListeners, getDropListeners, getModelTreeNode, getModelTreeNode, getNodeFacet, getNodeRequestKeys, getNodeSelectListeners, getOrCreateDefaultFacet, getParentRowKey, getRendersChildren, getResolvedDragIndicator, getRowData, getRowKeyConverter, getSelectionStateInputName, getTreeNode, getTreeNode, getTreeNodeRowKey, getTreeNodeRowKey, getTreeNodeState, getTreeNodeVar, hasAjaxSubmitSelection, invocableChildren, isExpanded, isLeaf, isSelected, isStopInCollapsed, processDecodes, processUpdates, queueCollapseAll, queueEvent, queueExpandAll, queueNodeCollapse, queueNodeExpand, removeChangeExpandListener, removeDragListener, removeDropListener, removeNode, removeNode, removeNodeRequestKey, removeNodeSelectListener, resetDataModel, restoreOrigValue, restoreOrigValue, setAjaxNodeKeys, setRowKeyConverter, setSelected, setTreeNodeState, setTreeNodeVar, setupVariable, transferQueuedNode, walk, walk, walkModel`

    - ### Methods inherited from class org.ajax4jsf.component.UIDataAdaptor

      `addRequestKey, beforeRenderResponse, broadcastLocal, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, invokeOnComponent, isRowAvailable, iterate, keepSaved, processDecodes, processUpdates, processValidators, processValidators, removeRequestKey, resetComponent, restoreChildState, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyVar, setStateVar, setValue, walk`

    - ### Methods inherited from class javax.faces.component.UIData

      `getDataModel, getFirst, getFooter, getHeader, getRows, getVar, setDataModel, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlTree

          public HtmlTree()

  - ### Method Detail

    - #### getAcceptCursors

          public java.lang.String getAcceptCursors()

    - #### setAcceptCursors

          public void setAcceptCursors(java.lang.String _acceptCursors)

    - #### getAcceptedTypes

          public java.lang.Object getAcceptedTypes()

    - #### setAcceptedTypes

          public void setAcceptedTypes(java.lang.Object _acceptedTypes)

    - #### getAdviseNodeOpened

          public javax.faces.el.MethodBinding getAdviseNodeOpened()

      Specified by:
        `getAdviseNodeOpened` in class `UITree`

    - #### setAdviseNodeOpened

          public void setAdviseNodeOpened(javax.faces.el.MethodBinding _adviseNodeOpened)

      Specified by:
        `setAdviseNodeOpened` in class `UITree`

    - #### getAdviseNodeSelected

          public javax.faces.el.MethodBinding getAdviseNodeSelected()

      Specified by:
        `getAdviseNodeSelected` in class `UITree`

    - #### setAdviseNodeSelected

          public void setAdviseNodeSelected(javax.faces.el.MethodBinding _adviseNodeSelected)

      Specified by:
        `setAdviseNodeSelected` in class `UITree`

    - #### getAjaxChildActivationEncodeBehavior

          public java.lang.String getAjaxChildActivationEncodeBehavior()

      Specified by:
        `getAjaxChildActivationEncodeBehavior` in class `UITree`

    - #### setAjaxChildActivationEncodeBehavior

          public void setAjaxChildActivationEncodeBehavior(java.lang.String _ajaxChildActivationEncodeBehavior)

      Specified by:
        `setAjaxChildActivationEncodeBehavior` in class `UITree`

    - #### getAjaxNodeSelectionEncodeBehavior

          public java.lang.String getAjaxNodeSelectionEncodeBehavior()

      Specified by:
        `getAjaxNodeSelectionEncodeBehavior` in class `UITree`

    - #### setAjaxNodeSelectionEncodeBehavior

          public void setAjaxNodeSelectionEncodeBehavior(java.lang.String _ajaxNodeSelectionEncodeBehavior)

      Specified by:
        `setAjaxNodeSelectionEncodeBehavior` in class `UITree`

    - #### isAjaxSingle

          public boolean isAjaxSingle()

    - #### setAjaxSingle

          public void setAjaxSingle(boolean _ajaxSingle)

    - #### isAjaxSubmitSelection

          public boolean isAjaxSubmitSelection()

      Specified by:
        `isAjaxSubmitSelection` in class `UITree`

    - #### setAjaxSubmitSelection

          public void setAjaxSubmitSelection(boolean _ajaxSubmitSelection)

      Specified by:
        `setAjaxSubmitSelection` in class `UITree`

    - #### isBypassUpdates

          public boolean isBypassUpdates()

    - #### setBypassUpdates

          public void setBypassUpdates(boolean _bypassUpdates)

    - #### getChangeExpandListener

          public javax.faces.el.MethodBinding getChangeExpandListener()

    - #### setChangeExpandListener

          public void setChangeExpandListener(javax.faces.el.MethodBinding _changeExpandListener)

    - #### getCursorTypeMapping

          public java.lang.Object getCursorTypeMapping()

    - #### setCursorTypeMapping

          public void setCursorTypeMapping(java.lang.Object _cursorTypeMapping)

    - #### getData

          public java.lang.Object getData()

    - #### setData

          public void setData(java.lang.Object _data)

    - #### isDisableKeyboardNavigation

          public boolean isDisableKeyboardNavigation()

    - #### setDisableKeyboardNavigation

          public void setDisableKeyboardNavigation(boolean _disableKeyboardNavigation)

    - #### getDragIndicator

          public java.lang.String getDragIndicator()

    - #### setDragIndicator

          public void setDragIndicator(java.lang.String _dragIndicator)

    - #### getDragListener

          public javax.faces.el.MethodBinding getDragListener()

    - #### setDragListener

          public void setDragListener(javax.faces.el.MethodBinding _dragListener)

    - #### getDragType

          public java.lang.String getDragType()

    - #### setDragType

          public void setDragType(java.lang.String _dragType)

    - #### getDragValue

          public java.lang.Object getDragValue()

    - #### setDragValue

          public void setDragValue(java.lang.Object _dragValue)

    - #### getDropListener

          public javax.faces.el.MethodBinding getDropListener()

    - #### setDropListener

          public void setDropListener(javax.faces.el.MethodBinding _dropListener)

    - #### getDropValue

          public java.lang.Object getDropValue()

    - #### setDropValue

          public void setDropValue(java.lang.Object _dropValue)

    - #### getEventsQueue

          public java.lang.String getEventsQueue()

    - #### setEventsQueue

          public void setEventsQueue(java.lang.String _eventsQueue)

    - #### getFocus

          public java.lang.String getFocus()

    - #### setFocus

          public void setFocus(java.lang.String _focus)

    - #### getGrabCursors

          public java.lang.String getGrabCursors()

    - #### setGrabCursors

          public void setGrabCursors(java.lang.String _grabCursors)

    - #### getGrabbingCursors

          public java.lang.String getGrabbingCursors()

    - #### setGrabbingCursors

          public void setGrabbingCursors(java.lang.String _grabbingCursors)

    - #### getHighlightedClass

          public java.lang.String getHighlightedClass()

      Specified by:
        `getHighlightedClass` in class `UITree`

    - #### setHighlightedClass

          public void setHighlightedClass(java.lang.String _highlightedClass)

      Specified by:
        `setHighlightedClass` in class `UITree`

    - #### getIcon

          public java.lang.String getIcon()

      Specified by:
        `getIcon` in class `UITree`

    - #### setIcon

          public void setIcon(java.lang.String _icon)

      Specified by:
        `setIcon` in class `UITree`

    - #### getIconCollapsed

          public java.lang.String getIconCollapsed()

      Specified by:
        `getIconCollapsed` in class `UITree`

    - #### setIconCollapsed

          public void setIconCollapsed(java.lang.String _iconCollapsed)

      Specified by:
        `setIconCollapsed` in class `UITree`

    - #### getIconExpanded

          public java.lang.String getIconExpanded()

      Specified by:
        `getIconExpanded` in class `UITree`

    - #### setIconExpanded

          public void setIconExpanded(java.lang.String _iconExpanded)

      Specified by:
        `setIconExpanded` in class `UITree`

    - #### getIconLeaf

          public java.lang.String getIconLeaf()

      Specified by:
        `getIconLeaf` in class `UITree`

    - #### setIconLeaf

          public void setIconLeaf(java.lang.String _iconLeaf)

      Specified by:
        `setIconLeaf` in class `UITree`

    - #### isIgnoreDupResponses

          public boolean isIgnoreDupResponses()

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(boolean _ignoreDupResponses)

    - #### isImmediate

          public boolean isImmediate()

      Specified by:
        `isImmediate` in class `UITree`

    - #### setImmediate

          public void setImmediate(boolean _immediate)

      Specified by:
        `setImmediate` in class `UITree`

    - #### isLimitToList

          public boolean isLimitToList()

    - #### setLimitToList

          public void setLimitToList(boolean _limitToList)

    - #### getNodeFace

          public java.lang.String getNodeFace()

      Specified by:
        `getNodeFace` in class `UITree`

    - #### setNodeFace

          public void setNodeFace(java.lang.String _nodeFace)

      Specified by:
        `setNodeFace` in class `UITree`

    - #### getNodeSelectListener

          public javax.faces.el.MethodBinding getNodeSelectListener()

    - #### setNodeSelectListener

          public void setNodeSelectListener(javax.faces.el.MethodBinding _nodeSelectListener)

    - #### getOnbeforedomupdate

          public java.lang.String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOncollapse

          public java.lang.String getOncollapse()

    - #### setOncollapse

          public void setOncollapse(java.lang.String _oncollapse)

    - #### getOncomplete

          public java.lang.String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(java.lang.String _oncomplete)

    - #### getOncontextmenu

          public java.lang.String getOncontextmenu()

    - #### setOncontextmenu

          public void setOncontextmenu(java.lang.String _oncontextmenu)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOndragend

          public java.lang.String getOndragend()

    - #### setOndragend

          public void setOndragend(java.lang.String _ondragend)

    - #### getOndragenter

          public java.lang.String getOndragenter()

    - #### setOndragenter

          public void setOndragenter(java.lang.String _ondragenter)

    - #### getOndragexit

          public java.lang.String getOndragexit()

    - #### setOndragexit

          public void setOndragexit(java.lang.String _ondragexit)

    - #### getOndragstart

          public java.lang.String getOndragstart()

    - #### setOndragstart

          public void setOndragstart(java.lang.String _ondragstart)

    - #### getOndrop

          public java.lang.String getOndrop()

    - #### setOndrop

          public void setOndrop(java.lang.String _ondrop)

    - #### getOndropend

          public java.lang.String getOndropend()

    - #### setOndropend

          public void setOndropend(java.lang.String _ondropend)

    - #### getOndropout

          public java.lang.String getOndropout()

    - #### setOndropout

          public void setOndropout(java.lang.String _ondropout)

    - #### getOndropover

          public java.lang.String getOndropover()

    - #### setOndropover

          public void setOndropover(java.lang.String _ondropover)

    - #### getOnexpand

          public java.lang.String getOnexpand()

    - #### setOnexpand

          public void setOnexpand(java.lang.String _onexpand)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getOnselected

          public java.lang.String getOnselected()

    - #### setOnselected

          public void setOnselected(java.lang.String _onselected)

    - #### isPreserveDataInRequest

          public boolean isPreserveDataInRequest()

    - #### setPreserveDataInRequest

          public void setPreserveDataInRequest(boolean _preserveDataInRequest)

    - #### getPreserveModel

          public java.lang.String getPreserveModel()

      Specified by:
        `getPreserveModel` in class `UITree`

    - #### setPreserveModel

          public void setPreserveModel(java.lang.String _preserveModel)

      Specified by:
        `setPreserveModel` in class `UITree`

    - #### getProcess

          public java.lang.Object getProcess()

    - #### setProcess

          public void setProcess(java.lang.Object _process)

    - #### getReRender

          public java.lang.Object getReRender()

    - #### setReRender

          public void setReRender(java.lang.Object _reRender)

    - #### getRejectCursors

          public java.lang.String getRejectCursors()

    - #### setRejectCursors

          public void setRejectCursors(java.lang.String _rejectCursors)

    - #### getRequestDelay

          public int getRequestDelay()

    - #### setRequestDelay

          public void setRequestDelay(int _requestDelay)

    - #### isRightClickSelection

          public boolean isRightClickSelection()

    - #### setRightClickSelection

          public void setRightClickSelection(boolean _rightClickSelection)

    - #### getSelectedClass

          public java.lang.String getSelectedClass()

      Specified by:
        `getSelectedClass` in class `UITree`

    - #### setSelectedClass

          public void setSelectedClass(java.lang.String _selectedClass)

      Specified by:
        `setSelectedClass` in class `UITree`

    - #### isShowConnectingLines

          public boolean isShowConnectingLines()

      Specified by:
        `isShowConnectingLines` in class `UITree`

    - #### setShowConnectingLines

          public void setShowConnectingLines(boolean _showConnectingLines)

      Specified by:
        `setShowConnectingLines` in class `UITree`

    - #### getSimilarityGroupingId

          public java.lang.String getSimilarityGroupingId()

      Specified by:
        `getSimilarityGroupingId` in interface `org.ajax4jsf.component.AjaxComponent`
      Specified by:
        `getSimilarityGroupingId` in class `UITree`

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

      Specified by:
        `setSimilarityGroupingId` in interface `org.ajax4jsf.component.AjaxComponent`
      Specified by:
        `setSimilarityGroupingId` in class `UITree`

    - #### getStateAdvisor

          public java.lang.Object getStateAdvisor()

      Specified by:
        `getStateAdvisor` in class `UITree`

    - #### setStateAdvisor

          public void setStateAdvisor(java.lang.Object _stateAdvisor)

      Specified by:
        `setStateAdvisor` in class `UITree`

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String _status)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getSwitchType

          public java.lang.String getSwitchType()

      Specified by:
        `getSwitchType` in class `UITree`

    - #### setSwitchType

          public void setSwitchType(java.lang.String _switchType)

      Specified by:
        `setSwitchType` in class `UITree`

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public void setTimeout(int _timeout)

    - #### isToggleOnClick

          public boolean isToggleOnClick()

      Specified by:
        `isToggleOnClick` in class `UITree`

    - #### setToggleOnClick

          public void setToggleOnClick(boolean _toggleOnClick)

      Specified by:
        `setToggleOnClick` in class `UITree`

    - #### getTypeMapping

          public java.lang.Object getTypeMapping()

    - #### setTypeMapping

          public void setTypeMapping(java.lang.Object _typeMapping)

    - #### getVarState

          public java.lang.String getVarState()

    - #### setVarState

          public void setVarState(java.lang.String _varState)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `UITree`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `UITree`

Copyright © 2014. All Rights Reserved.